# pandas.Series.to_period

`Series.``to_period`(freq=None, copy=True)

  Convert Series from DatetimeIndex to PeriodIndex with desired frequency (inferred from index if not passed).

  Parameters:

  freq : str, default None

  > Frequency associated with the PeriodIndex.

  copy : bool, default True

  > Whether or not to return a copy.

  Returns:

  Series

  > Series with index converted to PeriodIndex.

Scroll To Top